﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.ComponentModel;

namespace Helpers {
   public class NotifyPropertyChanged : INotifyPropertyChanged {
      public event PropertyChangedEventHandler PropertyChanged;

      protected void ChangePropIfDifferent<T>(T value, ref T backingField, string prop) {
         if(backingField.Equals(value)) return;
         backingField = value;
         var p = PropertyChanged;
         if(p != null) p(this, new PropertyChangedEventArgs(prop));
      }
   }
}
