﻿using System;
using System.ComponentModel;
using System.Collections.ObjectModel;

namespace SplashScreenTester {

   public enum ActionEnm { Hinlegen, Aufstehen, NaseBohren, Einschlafen }

   /// <summary> arbitrary data-class, containing a string and an Enum </summary>
   public class ActionMapping {
      public string Input { get; set; }
      public ActionEnm Action { get; set; }
   }

   public class MainViewModel {
      private ObservableCollection<ActionMapping> _Data =
         new ObservableCollection<ActionMapping>(new ActionMapping[] { 
            new ActionMapping(){Input="Text1", Action=ActionEnm.Hinlegen},
            new ActionMapping(){Input="Text2", Action=ActionEnm.Aufstehen},
            new ActionMapping(){Input="Text3", Action=ActionEnm.NaseBohren},
            new ActionMapping(){Input="Text4", Action=ActionEnm.Einschlafen}
            });
      public ObservableCollection<ActionMapping> Data { get { return _Data; } }        
   }

   public class ViewModelRoot {
      private static MainViewModel _Root = new MainViewModel();
      public MainViewModel Root { get { return _Root; } }
   }
} 